Subject: RE: [seamoby] IRTF mm problem statement

From: Phil Roberts <[email-masked]>
Date: Tue, 1 May 2001 15:45:03 -0400

Hi,

Well, what to say about this.

One might think that a good chunk of this problem can be abstracted without
any awareness of radio link characteristics.  The point of this particular
piece of research has to do with updating reachability awareness and
forwarding tables within the routers the mobile attaches to rather than how
to figure out which points the mobiles can reach and how well they can reach
it.

It would be hard also to make too many assumptions about what that radio
system could be.  You include that the architecture should have a provision
for a diversity combiner but surely there are networks over which something
like this would run on which there is no diversity combiner?  I wasn't privy
to all the discussions in the fast handover design teams in MIP but there
was at least some effort put in to thinking about what happens when this is
running over a fairly lossy medium.  Whether or not a ping-pong effect
should be handled in these protocols was also discussed and highly
controversial.  Both of those can be characteristics of wireless systems
with multiple access points, and both may be quite independent of whether it
is a TDMA or CDMA or whatever system running at 800MHz, 1800MHz, or
whatever.

There has been reluctance so far to design within the IETF a radio
technology specific subsystem.  I personally am not willing to push for
that.  Perhaps you can get a discussion going on in the new wireless
interest list Phil N set up to organize an effort to promote such.  It seems
that productive work along the path already specified in the document can go
on and the possibilities for exploring ratholes by adding in radio
technology specific issues might be plentiful.

Phil

> -----Original Message-----
> From: Arthur Ross [mailto:[email-masked]]
> Sent: Tuesday, May 01, 2001 1:42 PM
> To: Phil Roberts; [email-masked]'
> Subject: Re: [seamoby] IRTF mm problem statement
> 
> 
> Phil:
> 
> A very important aspect of MM is missing from this statement: 
> the need for
> MM to aware of, in some sense, the radio nature of the connections.
> 
> While I believe that the solution(s) should be RTT-agnostic 
> (RTT = radio
> transmission technology), it should not be 
> radio-physics-ignorant. I don't
> believe for a microsecond that the micromobility problem can 
> be addressed,
> or even has much meaning, in the absence of radio physics awareness.
> 
> Radio propagation in the ground clutter is unavoidably ugly. 
> Connections
> are "soft." They are error-prone and highly variable in their 
> properties
> (read: they fade, in several senses). There are well-known
> communication-theoretic ways of coping with these problems, 
> but, alas, they
> cannot be conveniently isolated to each access point; the 
> best mitigation
> techniques will involve interaction among the access points. 
> Several things
> come to mind: selection of the best access point(s) (a.k.a. "mobile
> assisted handoff" in the cellular/PCS world); power control; 
> transmission
> rate, others, diversity transmission/combining. QoS, in particular, is
> intimately intertwined with the physics.
> 
> Clearly, what I am trying to do here is suggest that this new 
> MM protocol
> subsume some (most?) of the RAN functionality that has previously been
> ignored in the IP world. I find it very strange that the fast handoff
> discussion seems to have assumed that the nature of the 
> physical layer can
> be packaged and idealized away in some nice, neat way. Sorry, 
> not so. The
> physics is at the heart of the problem, damnit!
> 
> Clearly, of course, this is a sort of electro-political hand 
> grenade on the
> dinner table, but it needs to be confronted.
> 
> I'm not trying to sully the intellectual purity of IP. 
> Rather, I'm trying
> to raise awareness of the need for MM to address the 
> low-level behavior of
> the radio environment in order that realistic IP-based 
> mobility solutions
> can be found.
> 
> There are both architectural and protocol implications of 
> radio-aware IP.
> Primarily, there will need to be some network functionality 
> that serves as
> the diversity combiner/packet distributor. A combo 
> FA-Combiner/Distributor
> gizmo comes to mind. Something must be assumed about this 
> architecture to
> make progress, IMHO.
> 
> And there are two major categories of protocol: those between 
> the RAN and
> the MNs, and the interactions among the access points/access 
> routers/mobile
> routers. CNP comes to mind in regard to the latter. The whole 
> thing is a
> real design challenge, if one agrees that the connectivity, 
> even of the
> nominally fixed parts of the network isn't really fixed, but will be
> dynamic - devices come & go, change their connectivity, etc. This, I
> suppose, is the domain of MANET, with which I am not familiar.
> 
> Seems to me that the conceptual interface between MM and the 
> specific RTTs
> would be a kind of OOP-like "wrapper" that encapsulates the 
> RTT details,
> leaving visible only those aspects that are needed for MM.
> 
> To make this proposal concrete, I suggest that §2.2 be 
> augmented as follows:
> 
> "2.2 Problem Two"
> 
>   "One of the primary principles of the Internet has been end-to-end
>    communication. Most (if not all) of the protocols running over IP
>    have been designed with end-to-end signaling in mind.  Currently,
>    changes due mobility induce unwanted end-to-end signaling. This may
>    cause applications running over IP to fail due to delay and latency
>    induced by unwanted signaling.  Security, QoS and AAA signaling all
>    suffer due to this."
> 
>    "Moreover, in a wireless-connected mobile host 
> environment, routing and QoS
>    are intimately related to the radio nature of the 
> connection. Effective
>    management of communication performance involves 
> cooperation and exchange
>    of information among radio access points. Host-based 
> routing will be more
>    useful if it supports such communication-engineering aspects of
>    wireless mobile IP services. [CNP] may be of use in this 
> interaction."
> 
> And add the following to the references:
> 
>    [CNP] P. Neumiller, "Applying Contract Net Protocol to 
> Mobile Handover
>    State Transfer, Draft-neumiller-seamoby-cnpmobility-00, 
> November 17, 2000.
> 
> Sorry to be the skunk at the garden party ...
> 
>    -- Regards,
>    -- Arthur
>

---

From: "Phil Neumiller" <[email-masked]>
Date: Tue, 1 May 2001 15:05:03 -0500

Hi Phil R./Arthur,

> to figure out which points the mobiles can reach and how well they can reach

I see this is where the disconnect is Phil R.  We HAD gone much further in
SeaMoby of our discussions of micro-mobility than your current list of drafts.
We entertained issues related to the mobile and its view of the network.
Also, most people were familiar with the OBAST paper which describes
a method for macro/micro/local mobility where the air interfaces properties
of CDMA are socketed as Arthur has described (mainly because I recited
enough times on the list) [even in the CRAPS BOF I had to make this
argument]{See thwap thread a while back on SeaMoby list}.

> like this would run on which there is no diversity combiner?

Also, Phil R., I had discussed many times on the SeaMoby list that diversity
combining is not just for CDMA.  When done over IP, other radios, even
TDMA radios can take advantage of it in the outer-loop sense.  I have several
patents pending on how to do this with TDMA, and frequency hop radios,
not just DSSS.  Of course those are Motorola's and don't do us much good
here in the IETF unless some other folks can come up with some stuff
independently. :-)

> I wasn't privy
> controversial.

Again we discussed this in the SeaMoby list and CRAPS list and OBAST
list numerous times.  The TADD/TDROP timers as used in CDMA can
work for any RF interface to reduce ping-pong if done in a borrowed and
abstract way over IP.

> Both of those can be characteristics of wireless systems

In this sense I agree with you, but only so far as it can be done in a common way.
Macro-diversity selection can be done with almost any radio type, and OBAST
it is an option.  OBAST allows optionalk make-before-break with any radio type.
OBAST allows simultaneous and different link layers to be active if they want to
use it.
> technology specific issues might be plentiful.

We don't need to explore a rathole here.  What we need to do is ask ourselves
what things can be made common for all RF L2s and be put over IP? This
is the IMPORTANT question to ask yourself.  Really!  Of course I sound like
a broken record, but I think (I hope, Pat and James and Gary and many others) are
starting to think about this and understand it.  Perhaps not in the same with
the same zeal that I express. :-)  I am pretty confident that Arthur is on the
right track.  His arguments about radio physics can be hidden with an OO
like abstraction of putting macro-diversity over IP.  That is the big first step
to consider.

I will show deference to the draft author and chair.  If you want this conversation
moved over to the new list that is fine I will try and summarize it and move
it over.

Thanks,

Phil N.